/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.List;


/**
 * 案例通过率分析
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "案例通过率分析")
public class MtCaseExecPassRatio implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_dirName = "dirName";
  public static final String KEY_caseCount = "caseCount";
  public static final String KEY_passCount = "passCount";
  public static final String KEY_casePassPercent = "casePassPercent";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 子节点目录名<br>
   */
  @ApiModelProperty("子节点目录名")
  @Size(max = 2000, message="子节点目录名-dirName: 数据长度不能 > 2000" )
  private String dirName;
  /**
   * 案例数<br>
   */
  @ApiModelProperty("案例数")
  private Integer caseCount;
  /**
   * 通过案例数<br>
   */
  @ApiModelProperty("通过案例数")
  private Integer passCount;
  /**
   * 通过案例率<br>
   */
  @ApiModelProperty("通过案例率")
  private Float casePassPercent;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 子节点目录名<br>
   */
  public String getDirName()
  {
      return dirName;
    }

  /**
   * 子节点目录名<br>
   *
   * @param dirName 子节点目录名
   */
  public void setDirName(String dirName)
  {
      this.dirName = dirName;
    }
  /**
   * 案例数<br>
   */
  public Integer getCaseCount()
  {
      return caseCount;
    }

  /**
   * 案例数<br>
   *
   * @param caseCount 案例数
   */
  public void setCaseCount(Integer caseCount)
  {
      this.caseCount = caseCount;
    }
  /**
   * 通过案例数<br>
   */
  public Integer getPassCount()
  {
      return passCount;
    }

  /**
   * 通过案例数<br>
   *
   * @param passCount 通过案例数
   */
  public void setPassCount(Integer passCount)
  {
      this.passCount = passCount;
    }
  /**
   * 通过案例率<br>
   */
  public Float getCasePassPercent()
  {
      return casePassPercent;
    }

  /**
   * 通过案例率<br>
   *
   * @param casePassPercent 通过案例率
   */
  public void setCasePassPercent(Float casePassPercent)
  {
      this.casePassPercent = casePassPercent;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public MtCaseExecPassRatio()
  {
  }

}
